From 1f3f985bc28fad9ecfac8fd5fd83afc7378769c3 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 1 Jan 2022 01:25:52 -0600
Subject: [PATCH 07/10] conninfo on one line

---
 src/bin/psql/command.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

diff --git a/src/bin/psql/command.c b/src/bin/psql/command.c
index c87d86db58e..55c78e99382 100644
--- a/src/bin/psql/command.c
+++ b/src/bin/psql/command.c
@@ -3660,15 +3660,9 @@ printCompressionInfo(void)
 	char	   *compressor = PQcompressor(pset.db);
 	char	   *decompressor = PQdecompressor(pset.db);
 
-	if (compressor != NULL)
-	{
-		printf(_("Compressor %s\n"), compressor);
-	}
-
-	if (decompressor != NULL)
-	{
-		printf(_("Decompressor %s\n"), decompressor);
-	}
+	printf(_("Compression: client: %s, server: %s\n"),
+				compressor ? compressor : "none",
+				decompressor ? decompressor : "none");
 }
 
 /*
-- 
2.17.1

